Subject: Re: bug#40033: Add "Vice" commodore emulator

From: zimoun <[email-masked]>
Date: Thu, 07 Apr 2022 15:30:18 +0200

Hi,

On Tue, 17 Mar 2020 at 17:17, Christopher Lemmer Webber <[email-masked]> wrote:
> Ludovic Courtès writes:

>> You mean it ships the ROM as a pre-built proprietary binary?
>> That wouldn’t be OK.  :-/
>
> Yes, they are the original binary ROMs shipped on the C64.
>
> The funny thing is it's in the data/ directory.  Lispers love to say
> that "code and data and data is code"; in this case, at least data/ has
> object code. ;)
>
> I agree that it isn't acceptable for Guix.

Therefore, it is tempting to close it. :-)

>>>  - One solution is coming out of the Mega65 project (a damn cool project
>>>    in general):
>>>      https://github.com/MEGA65/open-roms
>>
>> Do you know if that could actually work?  That would be perfect.
>
> I think they don't work perfectly, but can work for some things.  It
> would be nice to support it.
>
> I don't have time, but I invite someone else to give a try at building
> the mega65 open-roms package and linking it in.  So I may have to leave
> this at a "passing this along to a future community member" stage of
> packaging.
>
> If someone else can try packaging the mega65 ROMs (honestly don't know
> how hard it is to do), I can at least help playtest.  It would be really
> good for computing history purposes to free one of the blobs holding us
> back from exploring past computing systems!

Well, after more than 2 years without any interaction, I am not
convinced it is worth to keep this open.  Therefore, I am closing.

If I miss a point and you think it is worth to keep it open for
«"passing this along to a future community member" stage of packaging»,
feel free to reopen.

Cheers,
simon